<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:param name="MID"/>  
<xsl:param name="SID"/>  
<xsl:param name="SECRET"/>

<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response">

    <xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">settings</xsl:attribute>
        <xsl:attribute name="function">authorization</xsl:attribute>
        <xsl:element name="{$PARAMS}">

                        <xsl:element name="{$STRING}">
                           <xsl:attribute name="name">uid</xsl:attribute>
                           <xsl:value-of select="uid"/>
                        </xsl:element>

                        <xsl:element name="{$STRING}">
                           <xsl:attribute name="name">token</xsl:attribute>
                           <xsl:value-of select="token"/>
                        </xsl:element>

        </xsl:element> 
    </xsl:element> 
</xsl:template>

</xsl:stylesheet>
