<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>

<xsl:variable name="REQUEST" select="'Request'"/>
<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response_photos_createAlbum"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response_photos_createAlbum">
    <xsl:choose>
    <xsl:when test="/data/Request/Params[@parent = 'uploadPhoto']">
        <xsl:element name="{$REQUEST}">
            <xsl:attribute name="class">photos</xsl:attribute>
            <xsl:attribute name="function">uploadPhoto2</xsl:attribute>
            <xsl:element name="{$PARAMS}">
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">albumId</xsl:attribute>
                    <xsl:text>mm</xsl:text>
                    <xsl:value-of select="aid"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">file</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'file']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">fileName</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'fileName']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">description</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'photoDescription']"/>
                </xsl:element>
            </xsl:element> 
        </xsl:element>
    </xsl:when>

    <xsl:otherwise>
        <xsl:element name="{$RESPONSE}">
            <xsl:attribute name="class">photos</xsl:attribute>
            <xsl:attribute name="function">createAlbum</xsl:attribute>
            <xsl:element name="{$PARAMS}">
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">albumId</xsl:attribute>
                    <xsl:text>mm</xsl:text>
                    <xsl:value-of select="aid"/>
                </xsl:element> 
            </xsl:element>
        </xsl:element>
    </xsl:otherwise>
    </xsl:choose>

</xsl:template>

</xsl:stylesheet>
