<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:param name="UID"/>  
<xsl:param name="TOKEN"/>  
<xsl:param name="PRIVATE"/>

<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>
<xsl:variable name="NUMBER" select="'number'"/>
<xsl:variable name="STRUCT" select="'struct'"/>
<xsl:variable name="ARRAY" select="'array'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response_audio_get"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response_audio_get">

    <xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">audio</xsl:attribute>
        <xsl:attribute name="function">getListAudio</xsl:attribute>
        <xsl:element name="{$PARAMS}">

            <xsl:element name="{$ARRAY}">
                <xsl:attribute name="name">audioList</xsl:attribute>
                <xsl:attribute name="quantity">
                    <xsl:value-of select="count(audio)"/>
                </xsl:attribute>                             
                <xsl:attribute name="ownerId">
                    <xsl:value-of select="/data/Request/Params/@id"/>
                </xsl:attribute>                             
   
                <xsl:for-each select="audio">
                    <xsl:element name="{$STRUCT}">
                        <xsl:attribute name="name">audio</xsl:attribute>
                        <xsl:attribute name="id">
                            <xsl:text>mm</xsl:text>
                        <xsl:value-of select="mid"/>
                        </xsl:attribute>
                 
                        <xsl:element name="{$STRING}">
                           <xsl:attribute name="name">title</xsl:attribute>
                           <xsl:value-of select="title"/>
                        </xsl:element>

                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">artist</xsl:attribute>
                            <xsl:value-of select="artist"/>
                        </xsl:element>

                        <xsl:element name="{$NUMBER}">
                            <xsl:attribute name="name">duration</xsl:attribute>
                            <xsl:value-of select="duration"/>
                        </xsl:element>

                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">audio</xsl:attribute>
                            <xsl:value-of select="link"/>
                        </xsl:element>

                    </xsl:element>
                </xsl:for-each>
            </xsl:element> 

        </xsl:element> 
    </xsl:element> 
</xsl:template>

</xsl:stylesheet>
