<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:param name="UID"/>  
<xsl:param name="TOKEN"/>  
<xsl:param name="PRIVATE"/>

<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="REQUEST" select="'Request'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response">
    <xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">photo</xsl:attribute>
        <xsl:attribute name="function">uploadPhoto</xsl:attribute>
        <xsl:element name="{$PARAMS}">
        <xsl:choose>
            <xsl:when test="/data/Request/Params/string[@name = 'albumId']">
                <xsl:element name="{$REQUEST}">
                    <xsl:attribute name="class">photos</xsl:attribute>
                    <xsl:attribute name="function">uploadPhoto2</xsl:attribute>
                    <xsl:element name="{$PARAMS}">
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">albumId</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'albumId']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">file</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'file']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">fileName</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'fileName']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">description</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'description']"/>
                        </xsl:element>
                    </xsl:element> 
                </xsl:element>
            </xsl:when>

            <xsl:otherwise>
                <xsl:element name="{$REQUEST}">
                    <xsl:attribute name="class">photos</xsl:attribute>
                    <xsl:attribute name="function">createAlbum</xsl:attribute>
                    <xsl:element name="{$PARAMS}">
                        <xsl:attribute name="parent">uploadPhoto</xsl:attribute>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">name</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'albumName']"/>
                        </xsl:element> 
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">description</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'albumDescription']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">privacy</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'albumPrivacy']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">file</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'file']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">fileName</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'fileName']"/>
                        </xsl:element>
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">photoDescription</xsl:attribute>
                            <xsl:value-of select="/data/Request/Params/string[@name = 'description']"/>
                        </xsl:element>
                    </xsl:element> 
                </xsl:element>
            </xsl:otherwise>
        </xsl:choose>

        </xsl:element>
    </xsl:element> 
</xsl:template>
</xsl:stylesheet>
